#include <mem/kmalloc.h>
#include <mem/vmm.h>
#include <platform/x86/gdt.h>
#include <platform/x86/tasking/tss.h>

tss_t tss;

void set_ltr(uint16_t seg)
{
    asm volatile("ltr %0"
                 :
                 : "r"(seg));
}
